You are here

i18n module will be supported by Drupal 4.7

Submitted by admin on Thu, 10/13/2005 - 11:49

According to this thread it appears as though the Drupal's i18n, or "internationalisation", module will no longer require patching of the core in the upcoming 4.7 release. This is great news for the Drupal community!

While Drupal has long supported localisation (i.e. translation of the interface) it has always been a struggle to enable support for multi-lingual content. Until now, in order to have the engine keep track of the language of articles, thereby enabling functionality such as "view this article in [another language]" or "please help us translate this article into [another language]", one had to patch the core Drupal files.

Not only was this difficult (in fact, in Windows people often found themselves patching the files manually!) it resulted in incompatibility issues with other contributed modules.

I have been using Drupal since fall 2001 (for the and the innaquate management of multi-lingual content has for a long time been the most prominently recognised limitation remaining with Drupal. Hopefully this will all be a thing of the past.

I can R.I.P. now. ;-)

All my categories: